# 3. Compile, encontre, explique e corrija os bugs

O uso de números mágicos (valores literais que não dão pistas de seus significados) é desaconselhado porque dificultam a leitura semântica do código. Sendo assim, nós utilizaremos a constante simbólica EXIT_SUCCESS, definida na biblioteca padrão com valor 0, em vez do inteiro literal 0 como argumento da instrução return:

~~~C


#include <stdio.h>

int main(void) {
    puts("Salve, simpatia!");
    return EXIT_SUCCESS
}

~~~

Observe o resultado da compilação:
~~~bash
:~$ gcc salve.c -o salve
~~~


##   Quantos erros foram encontrados e quais são eles?

_EXIT_SUCESS_ não foi declarado no retorno da linha 5; 
É esperado ponto e vírgula após _EXIT_SUCESS_. 

##    Quais são as correções sugeridas pelo gcc?

Ele sugere a inclusão da biblioteca/cabeçalho _<stdlib.h>_; 

##    Como ficou o código corrigido?

Praticamente igual, somente teve a inclusão da biblioteca no começalho; 
