## Para que serve e como usar a função _putchar_? 
Escreve um caractere na saída padrão.
Podemos declarar uma variável _char_ com aspas simples e um caractere e depois utilizar a função:
~~~C
char a = 'b';
putchar(a); 
//saída: b
~~~
Ou simplesmente utilizar a função com um caractere simples em aspas simples:
~~~C
putchar('b');
//saída: b
~~~

## Quando e por que utilizar _putchar('\n')_ em vez de _puts("")_? 

_putchar_ parece mais conveniente quando desejamos fazer algum tipo de conversão ou alteração do caractere, pois ele retorna o caractere escrito como um caractere sem sinal que sofreu cast/conversão para inteiro (man 3 putchar); 

e _puts_ quando precisamos somente de um número não negativo como sucesso. 

## Como funciona a estrutura de repetição _while_? 

Trata-se de um estrutura que pode ser executada a partir ou até uma condição delimitada pelo programador. Ele faz um teste para iniciar a operação lógica e quando verdadeira a executa até ser falsa ou a condição lógica para o seu término. 

## Para que servem os especificadores de formato _%zu_ e _%p_? 

_%zu_ é o especificador de formato para _size_t_, um tipo de dado utilizado para representar tamanhos de objetos. 
_%p_ é o especificador de formato que imprime o endereço de memória de uma variável ponteiro. O valor é exibido em hexadecimal. 


