# 2. Analise o programa

Dado o programa abaixo (salve.c), explique cada uma perguntas nos comentários.

~~~C


#include <stdio.h> // O que é isso e para que serve?

// Por que todo o programma é escrito na função 'main()'?
int main(void) {

    puts("Salve, simpatia!"); // O que faz e como se usa a função 'puts()'?

    return 0; // Para que serve esta instrução?
}

~~~

_#include <stdio.h>_ é o cabeçalho de nosso programa. Aqui estão incluídas bibliotecas padrão da linguagem C que contém funções específicas. No caso, temos a biblioteca padrão. 

_main()_ é a função padrão onde se inicia efetivamente a execuçã ode um programa em C. Tratra-se de uma convenção do compilador e sistema operacional e um padrão da Linguagem C. 

_puts()_ a função imprime uma string e uma quebra de linha na saída padrão do programa, no caso a nosso console/terminal/monitor. 
Ao contrário de _printf_, ela imprime apenas strings e não aceita outros formatos e especificadores. 

Por padrão, a função _main()_ deve retornar um tipo _int_. Por isso, a função _return 0;_ funciona como um código de status(exit status) para o sistema operacional ou ambiente que o programa foi executado com sucesso. _return 0;_, significa sucesso e qualquer valor diferente de 0 indica um erro. 

