## O programa abaixo deveria imprimir 0.25 no terminal...

~~~C


#include <stdio.h>

int main(void) {
    int valor = 1 / 4;

    printf("%d\n", valor);

    return 0;
}

~~~

### Depois de compilado e executado, qual foi o valor impresso? 
0

### Porque isso aconteceu? 

o valor foi truncado pois a variável foi declarada e especificada como um inteiro.

### Como solucionar? 

Basta declarar valor como _float_ e utilizar a formatação de tipos adequada. 

#include <stdio.h>

int main(void) {
    float valor = 1 / 4;

    printf("%f\n", valor);

    return 0;
}


